#include <bits/stdc++.h>

using namespace std;
map<int,bool> vis;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n; cin >> n;
    int q; cin >> q;
    vector<int> a(n), b(q);
    for(int i=0;i<n;i++){cin>>a[i]; vis[a[i]]=1;}
    for(int i=0;i<q;i++)cin>>b[i];
    sort(a.begin(),a.end());
    for(int i=0;i<q;i++){
        int add = 0;
        int posf, posl, tn;
        if(vis[b[i]]){
            posf = lower_bound(a.begin(),a.end(),b[i])-a.begin();
            posl = upper_bound(a.begin(),a.end(),b[i])-a.begin();
            posl--;
            tn = n;
        }
        else{
            posf = lower_bound(a.begin(),a.end(),b[i])-a.begin();
            posl = posf;
            tn = n+1;
            add=1;
        }
        if(posf <= tn/2 && tn/2 <= posl){
            cout << 0+add << '\n';
            continue;
        }
        if(posf > tn/2){
            cout << 2*posf-tn+add<< '\n';
        }
        else{
            cout << tn-2*posf-1+add << '\n';
        }
    }
    return 0;
}